Summary:        windows interface for the ClustalW multiple sequence alignment program
Name:		clustalx
Version:	2.1
Release:	%mkrel 3
URL:		http://bips.u-strasbg.fr/fr/Documentation/ClustalX/
Source0:	%{name}-%{version}.tar.gz
Requires:       clustalw
BuildRequires:  qt4-devel
License:	GPL
Group:		Sciences/Physics 

%description
Clustal X is a new windows interface for the ClustalW multiple sequence alignment program. 
It provides an integrated environment for performing multiple sequence and profile 
alignments and analysing the results. The sequence alignment is displayed in a window on 
the screen. A versatile coloring scheme has been incorporated allowing you to highlight 
conserved features in the alignment. The pull-down menus at the top of the window allow you 
to select all the options required for traditional multiple sequence and profile alignment.

%files
%defattr(-,root,root)
%_bindir/%name
%_datadir/%name/
%_datadir/share/applications/%{name}.desktop
#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version 

%build
# Nothing to do here
%qmake_qt4
%make
%install
rm -rf %buildroot

%__mkdir -p %buildroot%_datadir/%name
%__mkdir -p %buildroot%_bindir
for i in  colprot.xml coldna.xml colprint.xml clustalx.hlp %name; 
do
	cp ${i} %buildroot%_datadir/%name/
done

pushd %buildroot
ln -s usr/share/%name/%name %buildroot/usr/bin/%name
popd

# desktopfile
%__install -d -m755 %{buildroot}%_datadir/share/applications
cat > %{buildroot}%_datadir/share/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%name
GenericName=%name
Comment=windows interface for the ClustalW multiple sequence alignment program
Exec=%_bindir/%name
Icon=
Terminal=false
Type=Application
Categories=Science;Electronics;
EOF


%clean  
rm -rf %buildroot



%changelog
* Fri May 13 2011 dmorgan <dmorgan> 2.1-3.mga1
+ Revision: 97893
- Fix BR
- Fix macro
- Fix requires
- imported package clustalx

